Results 1 to 5 of 5

Thread: Ubiquity SRC - associated to ap - internet access BUT still lib_init() failed?

Hybrid View

  1. #1
    Junior Member
    Join Date
    Jan 2010
    Posts
    49

    Default Ubiquity SRC - associated to ap - internet access BUT still lib_init() failed?

    Hello.
    After trying and reading I finally managed to connect to an open AP ( YESS, I'm the master).

    Enough of that, I'm pretty new to wireless issues.

    I am running BT2 final on my inspiron with a centrino chipset with a ubiquity src.

    And in this forum I read about the fact, that netdiscover is intended to discover only, if I belong to a network.
    So, I connected to an open AP, got an IP Adress, and I even could reach the internet.

    But netdiscover ( tried on all interfaces, wifio, ath0-ath3 - they suddenly appear, when using airmon-ng on wifi0 - until now I haven't found any usefull info regarding VAP's) still tells me this error message:

    lib_init()failed: unknown layer type error 0x323.

    What now?

    A second question is:

    For injecting packets everyone needs a driver-patch, right?

    THX in advance!
    FIAT IUSTITIA ET PEREAT MUNDUS

  2. #2

    Default

    the card you're using is pretty new.
    BT2?!
    BT3 is old and with bt4 on the way, I'd not recommend using bt2, at all.

    Download BT3 Final, test with that. That is, if you haven't made a typo in your post.
    And no, you don't have to patch your driver, they're all patched for you in advance.

    And about the solution to your problem...
    http://tinyurl.com/8h34rd

  3. #3

    Default

    Quote Originally Posted by me-$-on View Post
    until now I haven't found any usefull info regarding VAP's)
    Start with THIS link
    for a basic explanation. Everything you ever wanted to know about madwifi drivers are on that wiki.

    Also, I second the suggestion that you upgrade to BT3.

  4. #4
    Junior Member
    Join Date
    Jan 2010
    Posts
    49

    Default Thx

    was my error... as stupid one: arguments and the right way to provide them.

    Sorry.
    Bye.
    FIAT IUSTITIA ET PEREAT MUNDUS

  5. #5
    Junior Member
    Join Date
    Jan 2010
    Posts
    49

    Default libexpat.so.1 for my backtrack 2.0f, slackware 11, kernel 2.6.20 - where to find?

    sorry, i transferred it.
    FIAT IUSTITIA ET PEREAT MUNDUS

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •